#pragma once
#include "ShaderInterface.h"


class DefaultShader : public ShaderInterface
{
public:
	DefaultShader(ShaderContext* context) :
		ShaderInterface(context)
	{
	}

	const char* GetShaderName(void)
	{
		return "DefaultShader";
	}

	virtual void SetTextureSpecularSeparate(bool enabled);
	virtual void SetVColorEnabled(bool enabled);

	virtual void BeginShader(void){}
	virtual void EndShader(void){}
};
